Skip to content

Appendix B - Backoffice Calls

getGameList - get list of known games

This call queries all available games.

GET /backoffice/getGameListget list of known games
fields to sign (order is important)
secret + X-H-AUTH-ID + X-H-TIMESTAMP
mandatory request header fields
X-H-AUTH-ID, X-H-AUTH-SIG, X-H-TIMESTAMP
returned attributes
attributetypemandatorynotes
gameListjsondataYESObject with a list of known games. Use the keys in further calls. This field is deprecated. Use extendedGameList instead.
extendedGameListjsondataYESObject with a list of known games. Use the keys in further calls. This field returns the name and studio of the game.
errorCodeerrorCodeNOIf an error occurs, the HTTP status is not 200. The response can include additional error information.

Sample call to get a list of games

Sample call to query a players detailsDescription
GET /backoffice/getGameListAsk for a list of available games
Sample response (success)Description
{ “gameList”: { '27ac1acbefb9496baec0192289f144b9': 'Testgame 1', '7ca75731adea48b08cec72f0aac04d62': 'Testgame 2' }, "extendedGameList": { "0220f223d0754509bb2ad025d0efd719": { "name": "fbc207ffee11469a8010f7a6be00160f", "studio": "hizi.io Games" } }Returns list of games

getGameConfiguration - get configuration of a game

This call queries the game configuration, for example supported stakes and RTP information.

GET /backoffice/getGameConfigurationGet configuration of a game with a given currency
fields to sign (order is important)
secret + X-H-AUTH-ID + X-H-TIMESTAMP + gameCode + currency
mandatory request header fields
X-H-AUTH-ID, X-H-AUTH-SIG, X-H-TIMESTAMP
request Parameters (URI parameters)
attributetypemandatorynotes
gameCodestringYESThe ID of the game. Use it to query the freeplays.
currencycurrencyYESThe currency to use when you query the freeplays.
returned attributes
attributetypemandatorynotes
configjsondataYESJSON structure that contains data about the game (see example below)
errorCodeerrorCodeNOIf an error occurs, the HTTP status is not 200. The response can include additional error information.

Sample call to get a game config

Sample call to query a players detailsDescription
GET /backoffice/getGameConfiguration?gameCode=game-bells&currency=EURGet a gameconfig for the currency EUR
Sample response (success)Description
{ "config": { "stakes": [ 10, 20, 50, 100, 200, 500, 1000, 2000, 5000, 10000 ], "currency": "EUR", "currencyMultiplier": 1, "expectedRtp": 96.19, "oneHundredXOdds": 5522, "maxWinOdds": 103680, "maxPayout": 1000, "maxPayoutOdds": 2488327800, "maxExposure": 10000000, "calculatedMaxExposure": 10000000, "operator": "internal_testoperator" }, "gameCode": "game-bells" }Returns the list of game settings

getCurrencyList - get list of known currencies

This call queries all available games.

GET /backoffice/getCurrencyListget list of known currencies
fields to sign (order is important)
secret + X-H-AUTH-ID + X-H-TIMESTAMP
mandatory request header fields
X-H-AUTH-ID, X-H-AUTH-SIG, X-H-TIMESTAMP
returned attributes
attributetypemandatorynotes
currencyListjsondataYESObject with a list of known currencies and their multipliers.
errorCodeerrorCodeNOIf an error occurs, the HTTP status is not 200. The response can include additional error information.

Sample call to get a list of currencies

Sample call to query a players detailsDescription
GET /backoffice/getCurrencyListAsk for a list of available currencies
Sample response (success)Description
{ currencyList: { 'EUR': 1, 'PLN': 5 } }Returns the list of currencies

getStats - query statistical data

This call queries statistical data on a daily basis.

POST /backoffice/getStatsretrieve statistical data
request Parameters (json payload)
attributetypemandatorynotes
groupByArray of stringYESArray of properties that group the result. Allowed values: 'operator' 'game' 'currency' 'stake' 'mode' 'environment' 'language'
filterByjsondataNOObject that can contain one or both of these properties: dateFrom dateToIncluding Both values must use the format “YYYY-MM-DD”.
showTotalsbooleanNOIf true, the API returns totals and does not group them by day. The default is false.
playerIdstringNOID that identifies the player at the operator's site. If given, the API returns stats for this player only.
fields to sign (order is important)
secret + X-H-AUTH-ID + X-H-TIMESTAMP
mandatory request header fields
X-H-AUTH-ID, X-H-AUTH-SIG, X-H-TIMESTAMP
returned attributes
attributetypemandatorynotes
recordsArray of jsondataYESArray of statistical records.
errorCodeerrorCodeNOIf an error occurs, the HTTP status is not 200. The response can include additional error information.

Sample call to get stats data

Sample call to query a players detailsDescription
POST /backoffice/getStatsRetrieve stats data grouped by currency from 2020-09-01 to 2020-09-20
Sample payloadDescription
{ "groupBy": ["operator", "currency"], "filterBy": { "dateFrom": "2020-09-01", "dateToIncluding": "2020-09-20" } }Set the group and filter options
{ "records": [{ "DAY": "2020-09-18", "currency": "EUR", "games": 6526, "player": 3, "bet": "6526.00", "win": "6640.00", "betInEuro": "6526.00", "winInEuro": "6640.00", "RTP": 101.75 }, { "DAY": "2020-09-18", "currency": "GBP", "games": 2254, "player": 1, "bet": "2254.00", "win": "2298.00", "betInEuro": "2468.41", "winInEuro": "2516.60", "RTP": 101.95 }, { "DAY": "2020-09-18", "currency": "HUF", "games": 2222, "player": 1, "bet": "666600.00", "win": "686400.00", "betInEuro": "1848.28", "winInEuro": "1903.18", "RTP": 102.97 }] }Returns data grouped by operator, date, and currency. Values appear in the local currency and in EUR, converted using the exchange rate of that day.

getTicketStats - query statistical data about tickets

This call queries statistical data on a daily basis.

POST /backoffice/getTicketStatsretrieve statistical data for tickets
request Parameters (json payload)
attributetypemandatorynotes
groupByArray of stringYESArray of properties that group the result. Allowed values: 'operator' 'game' 'currency' 'stake'
filterByjsondataNOObject that can contain one or both of these properties: dateFrom dateToIncluding Both values must use the format “YYYY-MM-DD”.
showTotalsbooleanNOIf true, the API returns totals and does not group them by day. The default is false.
playerIdstringNOID that identifies the player at the operator's site. If given, the API returns stats for this player only.
fields to sign (order is important)
secret + X-H-AUTH-ID + X-H-TIMESTAMP
mandatory request header fields
X-H-AUTH-ID, X-H-AUTH-SIG, X-H-TIMESTAMP
returned attributes
attributetypemandatorynotes
recordsArray of jsondataYESArray of statistical records.
errorCodeerrorCodeNOIf an error occurs, the HTTP status is not 200. The response can include additional error information.

getGameCriticalFiles

    [WORK IN PROGRESS - CONTACT SUPPORT FOR DETAILS]